package laba6;

public class example4 {

    // статический метод вычисления двойного факториала
    public static long doubleFactorial(int n) {
        if (n < 0) {
            throw new IllegalArgumentException("Число должно быть неотрицательным");
        }

        long result = 1;

        for (int i = n; i > 1; i -= 2) {
            result *= i;
        }

        return result;
    }

    // демонстрация работы
    public static void main(String[] args) {
        System.out.println("6!! = " + doubleFactorial(6)); // 48
        System.out.println("5!! = " + doubleFactorial(5)); // 15
        System.out.println("0!! = " + doubleFactorial(0)); // 1
    }
}